﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=10.6
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#Extends: com.aghajari.nfc.EmulatorService
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Service_Create
	Dim NFCService As Amir_NFCEmulatorService
	NFCService.Initialize("Amir")
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground 'Call this when the background task completes (if there is one)
End Sub

Sub Service_Destroy

End Sub

Private Sub Amir_onReceiveCommand (Command As String) As String
	Dim Utils As Amir_NFCHeaders
	Log("onReceiveCommand called with command = " & Command)
	
	Dim Bytes() As Byte = Utils.HexStringToByteArray(Command)
	Dim actualCommand  As String = BytesToString(Bytes,0,Bytes.Length,"UTF-8")
	Log("actual command = " & actualCommand)
	
	If actualCommand.Contains("somecommand") Then
		Return "someresult"
	End If
	
	If actualCommand.contains("hello") Then
		Return "hi there nice to met you"
	End If
	
	If actualCommand.contains("lo") Then
		Return "hi there nice to met you"
	End If

	Return "DATA_BASED_ON_COMMAND"
End Sub

Private Sub Amir_onCardSelect (Command As String) As String
	Log("onCardSelect called with command = " & Command)
	Return "PATIENT_ID_HERE"
End Sub